OccurrenceManagementServiceAsync (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.rpc

## Interface OccurrenceManagementServiceAsync

-     public interface OccurrenceManagementServiceAsync

  The async counterpart of `GreetingService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteResourceById(String resourceId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `getListOccurrencesSet(ElaborationType elaborationType, boolean onlyNotCompleted, com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)`
    `void` | `getListOperator(com.google.gwt.user.client.rpc.AsyncCallback<List<Operator>> callback)`
    `void` | `saveSelectedOccurrencePoints(String resourceId, ElaborationType elaborationType, String destinationFolderId, String fileName, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `startComputation(Operator operator, String computationTitle, String computationDescription, com.google.gwt.user.client.rpc.AsyncCallback<String> asyncCallback)`

- - ### Method Detail

    - #### getListOccurrencesSet

          void getListOccurrencesSet(ElaborationType elaborationType,
                                   boolean onlyNotCompleted,
                                   com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)

    - #### getListOperator

          void getListOperator(com.google.gwt.user.client.rpc.AsyncCallback<List<Operator>> callback)

    - #### startComputation

          void startComputation(Operator operator,
                              String computationTitle,
                              String computationDescription,
                              com.google.gwt.user.client.rpc.AsyncCallback<String> asyncCallback)

    - #### saveSelectedOccurrencePoints

          void saveSelectedOccurrencePoints(String resourceId,
                                          ElaborationType elaborationType,
                                          String destinationFolderId,
                                          String fileName,
                                          com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### deleteResourceById

          void deleteResourceById(String resourceId,
                                com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

Copyright © 2014. All Rights Reserved.